/* ipuz-acrostic.h
 *
 * Copyright 2022 Jonathan Blandford <jrb@gnome.org>
 *
 * This file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU Lesser General Public License as
 * published by the Free Software Foundation; either version 3 of the
 * License, or (at your option) any later version.
 *
 * This file is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * SPDX-License-Identifier: LGPL-3.0-or-later
 */

#pragma once

#include <glib-object.h>
#include <libipuz/ipuz-crossword.h>

G_BEGIN_DECLS


#define IPUZ_TYPE_ACROSTIC (ipuz_acrostic_get_type ())
G_DECLARE_DERIVABLE_TYPE   (IPuzAcrostic, ipuz_acrostic, IPUZ, ACROSTIC, IPuzCrossword);


typedef struct _IPuzAcrosticClass
{
  IPuzCrosswordClass parent_class;
} IPuzAcrosticClass;


G_END_DECLS
